> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialme.at/llms.txt
> Use this file to discover all available pages before exploring further.

# Buy a Phone Number



## OpenAPI

````yaml POST /numbers/create
openapi: 3.0.0
info:
  title: alto.dialme.at API
  description: API for building voice assistants
  version: '1.0'
  contact: {}
servers:
  - url: https://alto.dialme.at/api/altov2/public
security: []
tags: []
paths:
  /numbers/create:
    post:
      tags:
        - number_create
      operationId: number_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                phone_number:
                  type: string
                  description: a phone number you get from available list
              required:
                - phone_number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: success
                  result:
                    $ref: '#/components/schemas/PhoneNumberResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not Found
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Method Not Allowed
      security:
        - bearer: []
components:
  schemas:
    PhoneNumberResponse:
      type: object
      properties:
        _id:
          type: string
          example: ph_***
        number:
          type: string
        userId:
          type: string
        status:
          type: string
        monthly_cost:
          type: number
          example: 3
        purchased_at:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your key from
        [Dashboard](https://alto.dialme.at/settings/apis).

````